//////////////////////////////////////////////////////////////////////////////
//////////////////////////////PROJE TASARIM///////////////////////////////////
//////////////////////////////METEHAN YASAR///////////////////////////////////
 //////////////////////////WINTER 2010 CONTEST////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

#include "code\acknex.h"
#include "code\afuncs.h"
#include "code\atypes.h"
#include "code\avars.h"
#include "code\compat.h"
#include "code\litec.h"
#include "code\sparkefekti.c"
#include "code\agacsallanma.c"
#include "code\materyaller.c"
#include "code\diyaloglar.c"

#define PRAGMA_PATH "modeller";
#define PRAGMA_PATH "dokular";
#define PRAGMA_PATH "sesler";
#define PRAGMA_PATH "credits";

//Durum Skilleri
#define durum skill20
#define yuru 1
#define zipla 2
#define bekle 3
#define merdivenler 4
#define munwalk 5
#define yandanbak 6

FONT* verdana_font = "Verdana#15b";

//Ses Gstericileri
SOUND* patlama_snd = "patlama.wav";
SOUND* start1_snd = "startsound1.wav";
SOUND* start2_snd = "startsound2.wav";
SOUND* start3_snd = "startsound3.wav";
SOUND* buton_snd = "butonsound.wav";
SOUND* zipla_snd = "zipla.wav";
SOUND* gurbmerhaba_snd = "gurb_merhaba.wav";
SOUND* cephanembitti_snd = "gurb_cephanebitti.wav";
SOUND* sarjoraldim_snd = "sarjoraldim.wav";
SOUND* gurbgeberme_snd = "gurbgeberme.wav";
SOUND* dusmangeber_snd = "dusmangeber.wav";
SOUND* silah03_snd = "silah03.wav";
SOUND* silah05_snd = "silah05.wav";
SOUND* sifaniyetine_snd = "sifaniyetine.wav";
SOUND* mermiyokki_snd = "mermiyokki.wav";
SOUND* ayaksesi_snd = "ayaksesi.wav";
SOUND* kutucrash_snd = "kutucrash.wav";
SOUND* tekme_snd = "tekme.wav";
SOUND* saldirin_snd = "saldirin.wav";
SOUND* fthmusic2_snd = "fthmusic2.ogg";
SOUND* demirkapi_snd = "demirkapiacilis.wav";
SOUND* hummerses_snd = "hummeridle.wav";
SOUND* takerl_snd = "takerl.wav";
SOUND* gurbhass_snd = "gurb_hass.wav";
SOUND* dbeynini_snd = "d_beynini.wav";
SOUND* gurbooo_snd = "gurb_ooo.wav";
SOUND* dtekbasina_snd = "d_tekbasina.wav";
SOUND* gurbtekbasima_snd = "gurb_tekbasima.wav";
SOUND* gurbvermuzigi_snd = "gurb_vermuzigi.wav";
SOUND* gurbgerizekali_snd = "gurb_gerizekali.wav";
SOUND* tankloop_snd = "tankloop.wav";
var anamuzik;

//Karakter Aksiyonunun zerinde Olmasi Gereken Paneller
PANEL* karakterxpan ={
	layer = 1;
	digits(100,10,4,"Arial#30b",1,karakterx);
	flags = TRANSPARENT | VISIBLE;
}
PANEL* karakterypan ={
	layer = 1;
	digits(150,10,4,"Arial#30b",1,karaktery;
	flags = TRANSPARENT | VISIBLE;
}
PANEL* karakterzpan ={
	layer = 1;
	digits(200,10,4,"Arial#30b",1,karakterz);
	flags = TRANSPARENT | VISIBLE;
}
PANEL* mermisayisi ={
	layer = 1;
	digits(178,15,4,"Arial#30b",1,mermi);
	flags = TRANSPARENT | VISIBLE;
	red = 255;
	green = 0;
	blue = 0;
}
PANEL* canim ={
	layer = 1;
	digits(24,92,4,"Arial#30b",1,gurbcan);
	flags = TRANSPARENT | VISIBLE;
	red = 255;
	green = 0;
	blue = 0;
}
PANEL* sarjorsayisi ={
	layer = 1;
	digits(278,15,4,"Arial#30b",1,sarjor);
	flags = TRANSPARENT | VISIBLE;
	red = 255;
	green = 0;
	blue = 0;
}
PANEL* cansayisi ={
	layer = 1;
	digits(378,15,4,"Arial#30b",1,toplamcan);
	flags = TRANSPARENT | VISIBLE;
	red = 255;
	green = 0;
	blue = 0;
}
PANEL* siyaharkaplan_pan =
{
	layer = 5;
	bmap= "siyaharkaplan.jpg";
	flags = SHOW | TRANSPARENT;
}
PANEL* developer_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "developer.jpg";
	flags = SHOW | TRANSPARENT;
}
PANEL* developer_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "developer.jpg";
	flags = SHOW | TRANSPARENT;
}
PANEL* gurblogo_pan =
{
	layer = 5;
	pos_x = 313;
	pos_y = 235;
	alpha=0;
	bmap= "gurb_logo.jpg";
	flags = SHOW | TRANSPARENT;
}
PANEL* pausemodearkaplan_pan =
{
	layer = 5;
	pos_x = 0;
	pos_y = 0;
	alpha=0;
	bmap= "pausemodearkaplan.jpg";
	flags = SHOW;
}
PANEL* hayatinikaybettin_pan =
{
	layer = 5;
	pos_x = 318;
	pos_y = 339;
	bmap= "hayatinikaybettin.tga";
	flags = SHOW;
}
PANEL* gurbhudcerceve_pan =
{
	layer = 1;
	pos_x = 13;
	pos_y = 9;
	bmap= "gurbhud.tga";
	flags = SHOW;
}
PANEL* ekran_cerceve_pan =
{
	layer = 1;
	pos_x = 0;
	pos_y = 0;
	bmap= "ekran_cerceve.tga";
	flags = SHOW;
}
PANEL* credits0_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits0.jpg";
	flags = SHOW;
}
PANEL* credits1_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits1.jpg";
	flags = SHOW;
}
PANEL* credits2_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits2.jpg";
	flags = SHOW;
}
PANEL* credits3_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits3.jpg";
	flags = SHOW;
}
PANEL* credits4_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits4.jpg";
	flags = SHOW;
}
PANEL* credits5_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits5.jpg";
	flags = SHOW;
}
PANEL* credits6_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits6.jpg";
	flags = SHOW;
}
PANEL* credits7_pan =
{
	layer = 5;
	pos_x = 393 ;
	pos_y = 300;
	bmap= "credits7.jpg";
	flags = SHOW;
}
//Karakter Aksiyonunun zerinde Olmasi Gereken Paneller Kod Sonu 

//Buton Sesi
function butonsoundplay()
{
	snd_play(buton_snd,100,0);
}

//Butonlar Paneli
PANEL* butonlar_pan =
{
	layer = 6;
	button (430, 347, "yenioyun_uzerinde.jpg", "yenioyun.jpg", "yenioyun_uzerinde.jpg", yenioyunfonk, NULL, butonsoundplay);
	button (430, 387, "kapat_uzerinde.jpg", "kapat.jpg", "kapat_uzerinde.jpg", cikisfonk, NULL, butonsoundplay);
	flags = TRANSPARENT | SHOW;
}

//PAUSE MENU Butonlar Paneli
PANEL* pausemenubutonlar_pan =
{
	layer = 6;
	button (433, 627, "devamet_uzerinde.jpg", "devamet.jpg", "devamet_uzerinde.jpg", devametfonk, NULL, butonsoundplay);
	button (433, 666, "exit_uzerinde.jpg", "exit.jpg", "exit_uzerinde.jpg", cikisfonk, NULL, butonsoundplay);
	flags = SHOW;
}

//DEGISKEN LISTESI
var yuru_percentage;  //Yurume Animasyonu - Percentage
var kosu_percentage;  //Kosma Animasyonu - Percentage
var geber_percentage; //Geberme Animasyonu - Percentage
var gurbcan; //Gurbun Can Degiskeni - 0'dan Kucukse Geber!
var duzgit = 0; //Gurb Duzlemden Sapmasin Diye
var duzgit2 = 0; //Gurb Duzlemden Sapmasin Diye
var d_duzgit = 0; //Dusman Duzlemden Sapmasin Diye
var d_duzgit2 = 0; //Dusman Duzlemden Sapmasin Diye
var ziplama_hizi=1; //Gurb Ziplama Araligi Olayi
var hold_fire; //Gurb Ates Etme Araligi Olayi
var kapiacilsin=0; //1 Olursa Demir Kapi Acilir
var karakterx; //Gurb'un X'ini Ekranda Gstermek Iin
var karaktery; //Gurb'un Y'sini Ekranda Gstermek Iin
var karakterz; //Gurb'un Z'sini Ekranda Gstermek Iin
var varilpatlat=0; //1 Olursa Varil Patlama Olayi Gereklesir
var merdivencikarken=0; //Merdiven Cikarken Merdiven Animasyonu Icin
var olummenusu=0; //Oldukten Sonra Cikis Ekrani Icin Gelen Menu
var eaktif=1; //Demir Kapinin Kolunun Aktif Olma Olayi
var toplamcan=2; //Gurb Olme Hakki
var moonwalkyap=0; //Level Sonunda Moonwalk Olayi
var ekranabak=0; //Level Sonunda Gurb'un Ekrana Bakmasi Icin
var tankgelsin=0; //Level Sonunda Tankin Gelmesi Icin
var kivilcimcik=0; //1 Oldugunda Kivilcimi Temsil Eden Modeller Aktif Olur
var atesedilebilir=1; //0 Oldugunda Ates Edilemez
//Sarjorle Ilgili Degiskenler
var silah_mode=1; // Silah Modu
var sarjor=1; // Baslangic Sajor Sayisi
var mermi=30; // Bir Sarjorde Bulunan Mermi Sayisi



//PROTOTIP LISTESI
var ziplamahizifonk();
var dusmanfonk();
var silah();
var patlamayasat();
var yenioyunfonk();
var merdiventaramasi=1;
var atesettir();
var araates();
var mapdegistir();
var surelibekleyis();
var tankgelfonk();
var pausemodefonk();
var devametfonk();


// GURB - KARAKTER HAREKET VEKTOR VE DEGISKENLERI
VECTOR hareket_vektoru;
hareket_vektoru.x = 0;
hareket_vektoru.y = 0;
hareket_vektoru.z = 0;

var yurumehizi; // yuruyerek yapilacak azami hiz
var hizsinir= -20; // azami hiz siniri

void kaydir()
{
	wait(-1);
	hareket_vektoru.y=0;
}

//Finale "Hass" Ile Giris
function hasssesical()
{
	wait(-2);
	snd_play(gurbhass_snd,100,0);
	set(hass_pan,SHOW);
	wait(-2);
	reset(hass_pan,SHOW);
}

////////////////////////////////////////
///////KARAKTER AKSIYON KODLARI/////////
////////////////////////////////////////
var yercekimi=3; //Yercekimi - Ziplama Etkilesimi
var ziplamayuksekligi=15; //Maksimum Ziplama Yuksekligi
var yurume=0; //Bunu bende unuttum :D
var kamerayukseklik=120; //Kameranin Karakterden Yuksekligi
var kamerapan=90; //Kamere Pan Degiskeni
var kameratilt=0; //Kamera Tilt Degiskeni
var kamerasecimi=1; //Cesitli Kamera Modlari
var kamerapanartir=0; //Patlama Icin Kullanilan Degiskenler
var kamerapanazalt=1; //Patlama Icin Kullanilan Degiskenler
var kameratiltartir=0; //Patlama Icin Kullanilan Degiskenler
var kameratiltazalt=1; //Patlama Icin Kullanilan Degiskenler

//Muzzle Efekti Aksiyonu
action m_aksiyonu()
{
	set(my,PASSABLE);
	set(my,TRANSLUCENT);
	set(my,OVERLAY);
	my.scale_x=2;
	my.scale_y=2;
	my.scale_z=2;
	while(1)
	{
		if(kivilcimcik==1)
		{
			my.lightrange=50;
			my.alpha=50;
			wait(-0.1);
			my.alpha=60;
			wait(-0.1);
			my.alpha=70;
			wait(-0.1);
		}
		else
		my.alpha=0;
		my.lightrange=0;
		wait(1);
	}
}
var oyunaktif=1; //0 l Mod, 1 Normal Oyun Modu, 2 Final Sahnesi Modu
var level=1; //1 Sokak Leveli, 2 Platform Leveli
action gurb()
{
	my.material = gurbmat;
	my.skill5 = 1;  //Skill5 Benim
	my.skill6 = 100; //Skill6 Benim Canim
	player = my; //Tanimli Player Benim
	my.emask |= ENABLE_SCAN; //Taramaya Acigim
	my.group=4; //Tarama Grubunda 4 Numarayim
	set(my,FLAG2); //Tarama Grubunda FLAG2'yim
	vec_set(my.min_x,vector(-40,-40,5)); //Model Minimum Alan Kaplama Ayari
	vec_set(my.max_x,vector(30,30,160)); //Model Maksimum Alan Kaplama Ayar
	var yukseklik = 0; //Sabit Gurb Ykskeligi
	duzgit = my.y; //Gurbun Y Eksininde Sapmaya Ugramamasi Icin
	var patlamasesi=1; //Patlama sesini donguden cikarmak icin
	var gebermesound=1; //Geberme sesini donguden cikarmak icin
	var finalsahnesikamera=1; //Final sahnesinde kamera ayari
	var finalsahnesigurb=1; //Final sahnesinde karakter ayari
	var hassiktirsesi=1; //Finale hassiktir sesiyle baslangic
	var ziplahandle;
	
	
	VECTOR kordinat; //Muzzle olayi icin kordinat ayari
	ENTITY* muzzle_2 = ent_create("muzzle_2.mdl",kordinat,m_aksiyonu);

	while(me)
	{
		if(key_esc && oyunaktif==1)
		{
			pausemodefonk();	
		}
		
		var mapdegisme=1; //map degistirme degiskeni (1 ise degismeye izin var)
		if(my.x > 6100 && level==1) //eger hangara yakinsan
		{
			mapdegisme=0; //degisme izni artik yok (yeni mapa gecildigi icin)
			mapdegistir(); //harita degisme fonksiyonu oynasin
		}
		gurbcan = my.skill6; //my.skill6 genel gurbcan degiskeninden kontrol edilsin diye
		if(my.skill6<0) //Can 0'dan dusuk olursa
		{
			my.skill6=0; // Sifira sabitlensin
			oyunaktif=0; // Gurb lsn ve yeteneklerini kullanamasin
		}
		if(my.skill6>100) //Can 100'den yksek ise
		{
			my.skill6=100; //Yine 100 olsun nk sifa paketleriyle 100den yukari cikmasi olanaksiz olsun
		}
		vec_for_vertex(kordinat,my, 1442); // Muzzle olayinda vertexe sabitleme
		vec_set(muzzle_2.x,kordinat); // esitleme olayi
		ang_for_bone(muzzle_2.pan,my,"CatRigPalmBone001"); // muzzle acilari icin boneye sabitleme
		muzzle_2.pan +=3 * time_step; // ates ederken donsun demisiz
		
		if(kamerasecimi==1) // GURB'U TAKIP EDEN NORMAL KAMERA
		{
			camera.x = my.x + 272;
			camera.y = my.y - 1200;
			camera.z = kamerayukseklik;
			camera.pan = kamerapan;
			camera.tilt = kameratilt;
		}
		if(kamerasecimi==2) // PATLAMA SAHNESINDEKI SALLANAN KAMERA
		{
			camera.pan=kamerapan;
			camera.tilt=kameratilt;
			camera.roll=camera.tilt;
			camera.x = my.x + 272;
			camera.y = my.y - 1200;
			camera.z = kamerayukseklik;
			if(patlamasesi==1)
			{
				varilpatlat=1;
				snd_play(patlama_snd,100,0);
				patlamasesi=0;
			}
			if(kamerapanazalt==1)
			{
				kamerapan -= 1.5 * time_step;
				if(kamerapan<89)
				{
					kamerapanazalt=0;
					kamerapanartir=1;
				}
			}
			if(kamerapanartir==1)
			{
				kamerapan += 1.5 * time_step;
				if(kamerapan>91)
				{
					kamerapanazalt=1;
					kamerapanartir=0;
				}
			}
			if(kameratiltazalt==1)
			{
				kameratilt -= 1.5 * time_step;
				if(kameratilt<-1)
				{
					kameratiltazalt=0;
					kameratiltartir=1;
				}
			}
			if(kameratiltartir==1)
			{
				kameratilt += 1.5 * time_step;
				if(kameratilt>1)
				{
					kameratiltazalt=1;
					kameratiltartir=0;
				}
			}
		}
		karakterx=my.x; // karakterin x'ini panel icin gereken degiskene esitleme
		karaktery=my.y; // karakterin y'sini panel icin gereken degiskene esitleme
		karakterz=my.z; // karakterin z'sini panel icin gereken degiskene esitleme
		
		if(my.x>6130 && my.z>335 && level==2 && eaktif==1) //Platform levelindeki kapi etkilesimi icin
		{
			if(key_e) // E tusu kullanildiginda kapi etkilesimi
			{
				kapiacilsin=1;
			}
		}
		if(my.x> 8300 && level==2) //Final sahnesinde gurb 8300' geince,
		{
			if(camera.x>8572) camera.x=8572; //Kamera sabitlensin ve gurb ekranin ortasina dogru gitsin
		}
		if(my.x> 8550 && level==2) //Gurb ekranin ortasina gelince,
		{
			if(finalsahnesigurb==1) oyunaktif=2; //Gurbda oldugu yerde dursun
		}
		my.durum = bekle; //bekleme modu, salinim animasyonu
		ent_animate(my,"bekleme",yuru_percentage,ANM_CYCLE);
		yuru_percentage += 1 * time_step;
		if(key_cur==1 && oyunaktif==1){
			my.pan=90;
			my.durum = yuru;
		}
		if(key_cur==0 && hareket_vektoru.y && oyunaktif==1){
			hareket_vektoru.y += 0.5 *time_step;
			if(hareket_vektoru.y>0)hareket_vektoru.y=0;
		}
		
		if(key_cul==1 && oyunaktif==1){ 
			my.pan = -90;
			my.durum = yuru;
		}
		if(my.durum == yuru) //yurume modu ise
		{
			atesedilebilir=0; //gurb ates edemez
			hareket_vektoru.y = yurumehizi * time_step;
			yurume=1;
			yurumehizi -= 0.5;
			if(yurumehizi<hizsinir) yurumehizi=hizsinir;
			ent_animate(my,"yurume",yuru_percentage,ANM_CYCLE);
			yuru_percentage += 2 * time_step;
			if(key_d)
			{
				atesedilebilir=1;
				hizsinir=-50;
				if(hizsinir<-50)hizsinir=-50;
				yurume=2;
				ent_animate(my,"kalkiskosu",kosu_percentage,ANM_CYCLE);
				kosu_percentage += 5 * time_step;
			}
			else
			hizsinir=-20;
		}
		if(my.durum==bekle){      //bekleme modu ise
			atesedilebilir=1;
			yurumehizi -= 1;
			yurume=0;
			if(yurumehizi<0)yurumehizi=0;
			hizsinir=-20;
		}
		if(merdivencikarken==1)
		{
			my.durum=merdivenler;
			ent_animate(player,"merdiven",my.skill45,ANM_CYCLE);
			my.skill45 += 10 * time_step;
		}
		
		//Ziplama olayina giriyoruz
		VECTOR ilk; 
		VECTOR son;
		vec_set(ilk,my.x);
		vec_set(son,my.x);
		son.z -= 5000;
		yukseklik = c_trace(ilk,son,IGNORE_ME|IGNORE_PASSABLE|USE_BOX);
		if(key_w && ziplama_hizi==1 && oyunaktif==1){
			ziplahandle = snd_play(zipla_snd,100,0);
			ziplama_hizi=0;
			ziplamahizifonk();
			if(yukseklik < 2)
			{
				yukseklik = 1;
				hareket_vektoru.z = ziplamayuksekligi;
				if(yukseklik>2)
				{
				}
			}
			else
			snd_stop(ziplahandle);
		}
		if(yukseklik>0){
			hareket_vektoru.z -=yercekimi* time_step;
			my.durum = zipla;
			if(hareket_vektoru.z < (yukseklik *-1))
			{
				hareket_vektoru.z = yukseklik *-1;
			}
		}
		
		c_move(me,hareket_vektoru,vector(0,1,1),GLIDE | IGNORE_PASSABLE |USE_BOX);
		
		duzgit2 = my.y;
		if(duzgit!=duzgit2)
		my.y = duzgit;
		
		if(key_cuu && merdiventaramasi==1)
		{
			c_ignore(2); // ignore 2 kutu taranmayacak
			c_scan (my.x,my.pan,vector(360,360,120),IGNORE_ME|SCAN_ENTS|IGNORE_CONTENT);
		}
		else
		{
			merdivencikarken=0;
		}
		
		//Katlara Gre Kamera Hareketleri Kod Baslangici
		if(my.z>200)
		{
			kamerayukseklik += 15 *time_step;
			if(kamerayukseklik>500) kamerayukseklik=500;
		}
		if(my.z<300)
		{
			kamerayukseklik -= 15 *time_step;
			if(kamerayukseklik<120) kamerayukseklik=120;
		}
		//Katlara Gre Kamera Hareketleri Kod Sonu
		
		//Karakterin agiracagi Fonksiyonlar
		silah();
		if(oyunaktif==0)
		{
			if(gebermesound==1) snd_play(gurbgeberme_snd,100,0);  // PIRT SESININ IKMASI IIN
			gebermesound=0; //IKMAMASI IIN
			gurbcan=0;	
			olummenusu=1;
			hareket_vektoru.x = 0;
			hareket_vektoru.y = 0;
			hareket_vektoru.z -= 5;
			ent_animate(my,"geberme",my.skill32,ANM_SKIP);
			my.skill32 += 5 * time_step;
			set(hayatinikaybettin_pan,SHOW);
		}
		if(oyunaktif==2) //Final Sahnesi Haciiiii =)
		{	
			hareket_vektoru.x = 0;
			hareket_vektoru.y = 0;
			hareket_vektoru.z -= 5;
			if(hassiktirsesi==1) hasssesical();
			hassiktirsesi=0;
		}
		if(ekranabak==1) //Ekrana atar yap =)
		{
			my.durum=yandanbak;
			ent_animate(my,"yandanbak",my.skill35,ANM_SKIP);
			my.skill35 += 1 * time_step;
		}
		if(moonwalkyap==1) //Moonwalk yardir!
		{
			my.durum=munwalk;
			hareket_vektoru.y += 7 * time_step;
			ent_animate(my,"moonwalk",my.skill35,ANM_CYCLE);
			my.skill35 += 5 * time_step;
			tankgelfonk();
		}
		wait(1);
	}	
}
////////////////////////////////////////
///////KARAKTER AKSIYON KOD SONU////////
////////////////////////////////////////


function patlamayasat() //Patlama yasat hemen toparla
{
	kamerasecimi=2;
	wait(-1.5);
	kamerasecimi=1;
	kamerapanartir=0;
	kamerapanazalt=0;
	kameratiltartir=0;
	kameratiltazalt=0;
	kamerapan=90;
	kameratilt=0;
}

function ziplamahizifonk() //Ziplama olayiyla alakali
{
	wait(-0.5);
	ziplama_hizi=1;
}

//Gurbun silahindan cikan kursun
function gum_event()
{
  //Burada dsmani algilayacagiz
  //51 ise dusmandir
  
  if(you)
  {
  	if(you.skill2 == 1) //ates ettigimiz dusman ise
  	{
  		you.skill1 -= 20; //dusmanin canindan 20 eksilsin
  	}
  }
  
  if(you)
  {
  	if(you.skill3 == 1) // ates ettigimiz kutu ise
  	{
  		you.skill4 = 1;  // kutu kirilsin	
  	}	
  }
    my.skill50 = 1; //her nereye ates edersek edelim mermi modeli silinsin
}

//Dusmanin silahindan cikan kursun
function dusman_gum_event()
{
  if(you)
  {
  	if(you.skill3 == 1) // ates ettigimiz kutu ise
  	{
  		you.skill4 = 1;  // kutu kirilsin	
  	}	
  }
  if(you)
  {
  	if(you.skill5 == 1) // ates ettigimiz gurb ise
  	{
  		you.skill6 -= 5;  // gurbun canindan 5 eksilsin
  	}	
  }
    my.skill50 = 1; //her halkarda mermi silinsin
}

//bunu niye yazdim bende bilmiyorum =) passableyi kodla yazmamdaki amac neydiki =)
action passable()
{
	set(my,PASSABLE);
}

ENTITY* mermimodel = "mermi.mdl"; //mermi modeli gostericisi
ENTITY* dusmanmermimodel = "dusmanmermi.mdl"; //dusmanin mermi modelinin gostericisi
action sparkmodeli()
{
	set(my,INVISIBLE);
	set(my,PASSABLE);
	while(me)
	{
		zerreciksayisi = random(25);
		effect(sparkefekti,zerreciksayisi * time_step,my.x,nullvector);
		if(sparkhareketi==0) ent_remove(me);
		me=NULL;
		wait(1);
	}	
}
action mermiaksiyon()
{
	set(my,INVISIBLE);      //mermi grnmesin
	mermimodel=my;      //mermimodel gstericisi benim
	my.pan = player.pan;      // merminin yonu gurbla ayni olsun
	my.emask |= ENABLE_DETECT | ENABLE_BLOCK | ENABLE_ENTITY | ENABLE_IMPACT;
	my.event = gum_event;     //benim fonksiyonum gum_event diyor
	c_setminmax(me);
	while(me)	
	{
		if(oyunaktif==1)    //oyun aktifse mermi yol alsin yoksa hic yorulmasin
		{
			c_move(me,vector(0,-220*time_step,0),nullvector,IGNORE_FLAG2 | IGNORE_PASSABLE | GLIDE);
		}
		if(my.skill50 == 1 )     //mermi herhangibiryere carptiysa olaylari
		{
			sparkhareketi=1;
			ent_create("sparkmodel.mdl",vector(my.x,my.y,my.z),sparkmodeli);
			ent_remove(me);
			wait(-1);
			sparkhareketi=0;
		}
		wait(1);
	}
}
action sarjorum() //sarjorum
{
	set(my,PASSABLE);
	var alinabilir=1;
	my.lightrange=50;
	c_setminmax(me);
	vec_set(my.blue,vector(255,0,0));
	while(me)
	{
		my.pan += 6 * time_step;
		c_ignore(2,7);  // ignore 2 kutu taranmayacak
		c_scan (my.x,my.pan,vector(360,360,100),IGNORE_ME|SCAN_ENTS|IGNORE_CONTENT);
		if(you != NULL)
		{
	 		if(you.skill5 == 1 && alinabilir==1)
			{
				snd_play(sarjoraldim_snd,100,0);
				ent_remove(me);
				sarjor+=1;
				alinabilir=0;
			}	
		}
		wait(1);
	}
}
action saglik_gurb()  //sifaniyetine
{
	set(my,PASSABLE);
	var alinabilir=1;
	my.lightrange=10;
	c_setminmax(me);
	vec_set(my.blue,vector(0,255,0));
	while(me)
	{
		my.pan += 6 * time_step;
		c_ignore(2,7); // ignore 2 kutu taranmayacak
		c_scan (my.x,my.pan,vector(360,360,100),IGNORE_ME|SCAN_ENTS|IGNORE_CONTENT);
		if(you != NULL)
		{
	 		if(you.skill5 == 1 && alinabilir==1)
			{
				snd_play(sifaniyetine_snd,200,0);
				ent_remove(me);
				you.skill6+=10;
				alinabilir=0;
			}	
		}
		wait(1);
	}
}
function cephaneyazikaybol()
{
	wait(-2);
	reset(cephane_pan,SHOW);
}
var cephanesesi=1;
function silah()
{
	//Silah Mode 1 = Taramali Tfek
	if(key_s && atesedilebilir==1 && hold_fire==0 && silah_mode==1 && mermi>0 && oyunaktif==1)
	{
		hold_fire=1; 
		ent_create ("mermi.mdl", vector(player.x,player.y,player.z+100), mermiaksiyon); 
		kivilcimcik=1;
		snd_play(silah03_snd,40,0);
		mermi-=1;
		wait(-0.1);
		hold_fire=0;
		kivilcimcik=0;
	}
	//Mermi Yok Ise ve Yuruyor Ise
	if(key_s && hold_fire==0 && mermi==0)
	{
		hold_fire=1; 
		snd_play(mermiyokki_snd,100,0);
		if(sarjor>0)
		{
			mermi=30;
			sarjor-=1;
		}
		if(sarjor==0)
		{
			if(mermi==0)
			{
				if(cephanesesi==1)
				{
					set(cephane_pan,SHOW);
					cephaneyazikaybol();
					snd_play(cephanembitti_snd,100,0);
					cephanesesi=0;
				}
			}
		}
		wait(-1.5);
		hold_fire=0;
	}
}

//Gurb Ayak Sesleri
function ayaksesi()
{
	while(1)
	{
		if(yurume==1) //Yrrken Ayak Sesleri 65 Tonlarinda
		{
			snd_play(ayaksesi_snd,65,0);
			wait(-0.5);		
		}
		if(yurume==2) //Kosarken Ayak Sesleri 15 Tonlarinda
		{
			snd_play(ayaksesi_snd,15,0);
			wait(-0.2);
		}
		wait(1);
	}
}

//Merdiven dirmanma olaylari
function merdivenfonk()
{
	player.pan=180;
	hareket_vektoru.z = 3;
	merdivencikarken=1;
}

//Merdiven Sensoru
action merdivensensor()
{
	my.group=7;
	my.emask |= ENABLE_SCAN; 
	my.event = merdivenfonk;  // alistirilacak fonksiyon
}

//Spor Isiklandirma
action spotisik()
{
  my.lightrange = 750; 
  set(my,SPOTLIGHT);
  vec_set(d3d_spotlightcone,vector(90,1,0));
}

//Demir Kapi
action demirkapi()
{
	c_setminmax(me);
	var demirkapisesi = 1;
	while(1)
	{
		if(kapiacilsin==1)
		{
			if(demirkapisesi==1) snd_play(demirkapi_snd,200,0);
			demirkapisesi=0;
			my.z += 5 * time_step;
			if(my.z>272) my.z = 272;
		}
		wait(1);
	}
}

//Demir Kapinin Kolunun Donmesi Icin
action anahtarkol()
{
	while(1)
	{
		if(kapiacilsin==1)
		my.roll+=5*time_step;
		if(my.roll > 90)
		{
			my.roll = 90;
			eaktif=0;
		}
		
		wait(1);
	}
}

function kutufonk()
{	
	ent_remove(me);
}

//Kirilabilen Kutu Fonksiyonu
action kutu()
{
	var sescalsin=1;
	my.group=2;
	my.emask |= ENABLE_SCAN;   // kutuda taramaya acik
	my.event = kutufonk;       // calistirilacak fonksiyon
	my.skill3 = 1;      //skill3 benim diyor
	while(me)
	{
		// OLM SNN KAFAN GZEL galiba :D z<ate bunlar
		if(my.skill4==1)
		{
			set(my,PASSABLE);
			ent_animate(my,"take",my.skill20,ANM_SKIP);
			my.skill20 += 2 * time_step; //skill20 kutu kirilma anime percentage yerine.
			if(sescalsin==1)
			{
				snd_play(kutucrash_snd,100,0);
				sescalsin=0;
			}
		}
		wait(1);
	}
}

var yurume2_percentage;
//YOL TAKIPCI DUSMAN KOD BASLANGICI
action dusman_yoltakip()
{
	my.skill2 = 1;    // Ben dusmanim
	my.skill1 = 100;  // 100 canim var
	vec_set(my.min_x,vector(-40,-30,5));
	vec_set(my.max_x,vector(30,30,160));
	path_set(me,"path_000");
	var dists = 0;
	var vLastPos[3];
	var vDir[3];
	var abc = path_length(my);
	var pathx = dists / abc; 
	
	while(me)
	{
		ent_animate(my,"yuru",yurume2_percentage,ANM_CYCLE);
		yurume2_percentage += 1 * time_step;
		path_spline(me,my.x,dists); 
		dists += 8*time_step;
		vec_diff(vDir,my.x,vLastPos);
		vec_to_angle(my.pan+90,vDir);
		vec_set(vLastPos,my.x);
		//my.skill1 can
		if(my.skill1 == 0) ent_remove(me);
		wait(1);
	}
}
//YOL TAKIPCI DUSMAN KOD SONU


ENTITY* dusmankarakter;
ENTITY* mermimermi;
action dusmanmermiaksiyon()
{
	my.pan = your.pan;
	set(my,INVISIBLE);
	my.emask |= ENABLE_DETECT | ENABLE_BLOCK | ENABLE_ENTITY | ENABLE_IMPACT;
	my.event = dusman_gum_event;
	c_setminmax(me);
	while(me)	
	{
		c_ignore(2);
		c_move(me,vector(0,-220*time_step,0),nullvector,IGNORE_PASSABLE | GLIDE | IGNORE_CONTENT);
		if(my.skill50 == 1 ) ent_remove(me);
		wait(1);
	}
}
function atesettir()
{
	snd_play(silah05_snd,30,25);
	ent_create ("dusmanmermi.mdl", vector(my.x-25,my.y,my.z+100), dusmanmermiaksiyon);
	wait(-0.5);
	snd_play(silah05_snd,30,25);
	ent_create ("dusmanmermi.mdl", vector(my.x-25,my.y,my.z+100), dusmanmermiaksiyon);
	wait(-0.2);
	snd_play(silah05_snd,30,25);
	ent_create ("dusmanmermi.mdl", vector(my.x-25,my.y,my.z+100), dusmanmermiaksiyon);
}

function araates() //GURBUN TARAMASINI YAPAN VE ATESI SAGLAYAN FONKSIYON
{
	var timer_a;
	while(my)
	{
		timer_a += time_step / 16; // wait 1 lik bir framede ise 1 artar :D
		c_ignore(2,7);
		c_scan (vector(my.x,my.y,my.z),my.pan,vector(270,50,850),IGNORE_ME|SCAN_ENTS|SCAN_LIMIT|IGNORE_CONTENT);
		if(you != NULL)
		{
	 		if(you.skill5 == 1 && timer_a >= 2 && my.skill16==1 && gurbcan>0)
			{
				atesettir();
				my.skill12=1;
				timer_a = 0;
			}	
		}
		wait(1);
	}
}

//Ucan tekmeyle bitirme olayi
function tekmeylebitir()
{
	wait(-0.5); // tekmeyi yedikten bir saniye sonra :D
	my.skill24=1;
}

//Ucan tekmeyle bitirme olayi 2
function tekmeylebitir2()
{
	oyunaktif=0;
}

//Ucan tekme animasyonu
function tekmeanimeoynat()
{
	while(1)
	{
		ent_animate(my,"kik",my.skill31,ANM_SKIP); //tekme animasyonu
		my.skill31 += 6 * time_step; //tekma animasyonu hizi
		wait(1);
	}
}

//VIP DUSMAN AKSIYONU KOD BASLANGICI
action dusman_atesli()
{
	var dusmangebersesi=1;
	VECTOR d_hareketvektoru;
	d_hareketvektoru.x=0;
	d_hareketvektoru.y=0;
	d_hareketvektoru.z=0;
	var d_yukseklik = 0;
	var d_yercekimi = 3;
	d_duzgit = my.y;
	my.skill16=1;     //dusmanatesi etkin diyor. 0 oldugunda olmus olacak ve ates kesilecek.
	my.skill12=0;     //skill12 belirle.
	my.skill24=0;     // SON KONTROL
	var kosuoynat=0;
	dusmankarakter=my;
	my.skill2 = 1; // ben dsmanim demektir.
	my.skill1 = 100; // 100 can
	var tekmebirkez=1;
	var tekmebasarisiz=0;
	araates();
	var atlamaetkin=0;
	vec_set(my.min_x,vector(-40,-30,5));
	vec_set(my.max_x,vector(30,30,160));
	
	var tekmesesi=1;
	var saldirsesi=1;
	while(me)
	{
		var sontekme=0;
		if(vec_dist(my.x,player.x)<250 && sontekme==0 && my.skill16==1) //dsmanin gurba yakinligi 100 den az ise
		{
			sontekme=1;
			atlamaetkin=1;
			if(tekmesesi==1) snd_play(tekme_snd,200,0);
			tekmesesi=0;
			if(tekmebirkez==1)tekmeanimeoynat();
			tekmebirkez=0;
			tekmeylebitir();
		}
		if(vec_dist(my.x,player.x)>200 && sontekme==1 && my.skill16==1 && my.skill24==1 && tekmebasarisiz==0) //dsmanin gurba yakinligi 100 den az ise
		{
			tekmebasarisiz=1;
		}
		if(vec_dist(my.x,player.x)<200 && sontekme==1 && my.skill16==1 && my.skill24==1 && tekmebasarisiz==0) //dsmanin gurba yakinligi 100 den az ise
		{
			atlamaetkin=1;
			tekmebirkez=0;
			tekmeylebitir2();
		}
		if(atlamaetkin==0)
		{
			ent_animate(my,"bekleme",my.skill18,ANM_CYCLE); //BEKLEME ANIMASYONU
			my.skill18 += 1 * time_step;	
		}
		if(my.skill12==1 && oyunaktif==1)
		{
			if(saldirsesi==1) snd_play(saldirin_snd,200,0); //SALDIRMA SESI
			saldirsesi=0;
			if(atlamaetkin==0)
			{
				ent_animate(my,"kalkiskosu",my.skill17,ANM_CYCLE);
				my.skill17 += 4 * time_step;
			}
			c_ignore(2,7);
			c_move(me,d_hareketvektoru,vector(0,1,1),GLIDE | IGNORE_PASSABLE | IGNORE_CONTENT);
			d_duzgit2 = my.y;
			if(d_duzgit!=d_duzgit2)
			my.y = d_duzgit;
			d_hareketvektoru.y = -15 * time_step;
		}
		if(my.skill1<0)
		{
			d_hareketvektoru.y = 0;
			my.skill16=0;
			set(my,PASSABLE);
			ent_animate(my,"dusmangeberme",my.skill19,ANM_SKIP);
			my.skill19 += 6 * time_step;
			if(dusmangebersesi==1)snd_play(dusmangeber_snd,100,0);
			dusmangebersesi=0;
		}
		VECTOR d_ilk;
		VECTOR d_son;
		vec_set(d_ilk,my.x);
		vec_set(d_son,my.x);
		d_son.z -= 5000;
		d_yukseklik = c_trace(d_ilk,d_son,IGNORE_ME | IGNORE_PASSABLE | USE_BOX);
		
		if(d_yukseklik>0){
			d_hareketvektoru.z -=d_yercekimi* time_step;
			if(d_hareketvektoru.z < (d_yukseklik *-1))
			{
				d_hareketvektoru.z = d_yukseklik *-1;
			}
		}
		wait(1);
	}
}
//VIP DUSMAN AKSIYONU KOD SONU


//Finalde hummerin nnde gelen dusman
action dusman_hummer()
{
	c_setminmax(me);
	var suretanimla=1;
	while(1)
	{
		if(oyunaktif==2)
		{
			my.x -= 10 * time_step;
			ent_animate(me,"kalkiskosu",my.skill31,ANM_CYCLE);
			my.skill31 += 2 * time_step;
			if(my.x<8760)
			{
				my.x=8760;
				if(suretanimla==1) surelibekleyis();
				suretanimla=0;
				ent_animate(me,"bekleme",my.skill32,ANM_CYCLE);
				my.skill32 += 1 * time_step;
			}
		}
		wait(1);
	}
}

//Finalde gelen hummer
action hummer()
{
	var motorsesi=1;
	c_setminmax(me);
	while(1)
	{
		if(oyunaktif==2)
		{
			my.x -= 10 * time_step;
			if(motorsesi==1)snd_stop(anamuzik);
			if(motorsesi==1)snd_play(takerl_snd,100,0);
			if(motorsesi==1)snd_loop(hummerses_snd,10,0);
			motorsesi=0;
			ent_animate(me,"donder",my.skill31,ANM_CYCLE);
			my.skill31 += 2 * time_step;
			if(my.x<9072)
			{
				my.x=9072;
				ent_animate(me,"donder",my.skill32,ANM_CYCLE);
				my.skill32 += 0 * time_step;
			}
		}
		wait(1);
	}
}

//Finalde gelen tank
action tank()
{
	var tanksesi=1;
	var tankhandle;
	set(my,PASSABLE);
	my.alpha=0;
	while(1)
	{
		if(tankgelsin==1)
		{
			my.alpha=100;
			if(tanksesi==1)tankhandle = snd_loop(tankloop_snd,30,0);	
			tanksesi=0;
			ent_animate(my,"gelirken",my.skill31,ANM_CYCLE);
			my.skill31 += 2 * time_step;
			my.x += 5 * time_step;
			if(my.x>8270)
			{
				snd_stop(tankhandle);
				my.x=8270;
				ent_animate(my,"namluindir",my.skill35,ANM_SKIP);
				my.skill35 += 2 * time_step;
			}
		}
		wait(1);
	}
}
function tankgelfonk()
{
	wait(-8);
	tankgelsin=1;
}

//Uyuyan Elaman Olaylari =)
var zzzgit=0;
function yansonlan()
{
	set(my,PASSABLE);
	set(my,TRANSLUCENT);
	var yukari=1;
	var asagi=0;
	while(me)
	{
		if(yukari==1)my.alpha += 5 * time_step;
		if(my.alpha > 100)
		{
			yukari=0;
			asagi=1;
		}
		if(asagi==1) my.alpha -= 5 *  time_step;
		if(my.alpha < 0)
		{
			yukari=1;
			asagi=0;
		}
		wait(1);
	}
}
action zzz()
{
	yansonlan();
	while(me)
	{
		if(zzzgit==1) ent_remove(me);
		wait(1);
	}
}
action dusman_uykulu()
{
	my.skill16=1; //dusmanatesi etkin diyor. 0 oldugunda olmus olacak ve ates kesilecek.
	dusmankarakter=my;
	my.skill2 = 1; // ben dsmanim demektir.
	my.skill1 = 1; // 1 can
	vec_set(my.min_x,vector(-40,-30,5));
	vec_set(my.max_x,vector(30,30,160));
	ent_animate(my,"bekleme",yuru_percentage,ANM_CYCLE);
	yuru_percentage += 1 * time_step;
	var dusmangebersesi=1;
	while(me)
	{
		ent_animate(my,"uyuma",my.skill18,ANM_CYCLE);
		my.skill18 += 1 * time_step;
		if(my.skill1<0)
		{
			my.skill16=0;
			set(my,PASSABLE);
			zzzgit=1;
			ent_animate(my,"dusmangeberme",my.skill19,ANM_SKIP);
			my.skill19 += 5 * time_step;
			if(dusmangebersesi==1)snd_play(dusmangeber_snd,100,0);
			dusmangebersesi=0;
		}
		wait(1);
	}
}

//Zararsiz Sarapci Aksiyonu
action dusman_sarapci()
{
	set(my,PASSABLE);
	while(me)
	{
		ent_animate(me,"sizma",my.skill61,ANM_CYCLE);
		my.skill61 += 1 * time_step;
		wait(1);
	}
}

//Gokte Ucan Karga Aksiyonu
action karga()
{
	set(my,PASSABLE);
	path_set(me,"path_001");
	var dists = 0;
	var vLastPos[3];
	var vDir[3];
	var abc = path_length(my);
	var pathx = dists / abc; 
	
	while(me)
	{
		ent_animate(my,"walk",yurume2_percentage,ANM_CYCLE);
		yurume2_percentage += 3 * time_step;
		path_spline(me,my.x,dists); 
		dists += 10*time_step;
		vec_diff(vDir,my.x,vLastPos);
		vec_to_angle(my.pan,vDir);
		vec_set(vLastPos,my.x);
		wait(1);
	}
}

///////////SKY CUBE KODLARI/////////////
ENTITY* hava_cube =
{
  type = "sky2+6.tga";
  flags2 = SKY | CUBE | SHOW;
  layer = 2;
  z = 30; // move 30 pixels upwards
}
///////////SKY CUBE KODLARI/////////////


/////////////////////////////////////
///////////MENU KODLARI//////////////
/////////////////////////////////////
var gurblogokaybol=0;
var developerkaybol=0;
var siyaharkaplankaybol=0;
var siyahpanelkaybol=1;
var butonlardogsun=0;
function panelzamanlama()
{
	while(1)
	{
		if(developerkaybol==1)
		{
			developer_pan.alpha -= 15 * time_step;
		}
		if(gurblogokaybol==1)
		{
			gurblogo_pan.alpha -= 10 * time_step;
		}
		if(siyaharkaplankaybol==1 && siyahpanelkaybol==1)
		{
			siyaharkaplan_pan.alpha -= 1 * time_step;
		}
		if(butonlardogsun==1)
		{
			butonlar_pan.alpha += 2 * time_step;
		}
		wait(1);
	}
}

//ikis Fonksiyonu
function cikisfonk()
{
	sys_exit("reflekskapat");
}

//Oldukten sonraki reset fonksiyonu
function yenidenoyna()
{
	if(level==1)
	{
		toplamcan -=1;
		level_load("sokak.wmb");
		oyunaktif=1;
		reset(hayatinikaybettin_pan,SHOW);
	}
	if(level==2)
	{
		toplamcan -=1;
		level_load("platform.wmb");
		oyunaktif=1;
		reset(hayatinikaybettin_pan,SHOW);
	}
}
var birkerebaslat=1;
function birkerebaslattekrarla()
{
	wait(-2);
	birkerebaslat=1;
	olummenusu=0;
}

//lm mens fonksiyonlari
function olummenufonk()
{
	while(1)
	{
		if(olummenusu==1)
		{
			if(key_esc) cikisfonk();
			if(key_r && birkerebaslat==1 && toplamcan>0)
			{
				yenidenoyna();	
				birkerebaslat=0;
				birkerebaslattekrarla();
			}
		}
		wait(1);
	}
}

//Finaldeki bagimsiz kamera (kamerasecimi degiskeni bunu etkilemiyor)
function bagimsizkamera()
{
	while(1)
	{
		camera.x = 8572;
		camera.y = -1120;
		camera.z = 120;
		camera.pan = 90;
		wait(1);
	}
}


//FINAL SAHNESI KOD BASLANGICI
var halkalisekerhandle;
function surelibekleyis()
{
	bagimsizkamera();
	wait(-1);
	snd_play(dbeynini_snd,100,0);
	set(bimanyaklik_pan,SHOW);
	wait(-5);
	reset(bimanyaklik_pan,SHOW);
	snd_play(gurbooo_snd,100,0);
	set(ooo_pan,SHOW);
	wait(-2.5);
	reset(ooo_pan,SHOW);
	snd_play(dtekbasina_snd,100,0);
	set(tekbasina_pan,SHOW);
	wait(-3);
	reset(tekbasina_pan,SHOW);
	snd_play(gurbtekbasima_snd,100,0);
	set(tekbasima_pan,SHOW);
	wait(-2);
	reset(tekbasima_pan,SHOW);
	ekranabak=1;
	wait(-1);
	snd_play(gurbvermuzigi_snd,100,0);
	set(vermuzigi_pan,SHOW);
	wait(-2);
	reset(vermuzigi_pan,SHOW);
	wait(-1);
	halkalisekerhandle = media_play("halkaliseker.mp3",NULL,200);
	ekranabak=0;
	wait(-4);
	media_stop(halkalisekerhandle);
	ekranabak=1;
	snd_play(gurbgerizekali_snd,100,0);
	set(odegil_pan,SHOW);
	wait(-3);
	reset(odegil_pan,SHOW);
	media_play("jackson.mp3",NULL,300);
	wait(-4.5);
	moonwalkyap=1;
	wait(-21);
	set(siyaharkaplan_pan,SHOW);
	set(credits0_pan,SHOW);
	siyahpanelkaybol=0;
	siyaharkaplan_pan.alpha=100;
	wait(-4);
	reset(credits0_pan,SHOW);
	set(credits1_pan,SHOW);
	wait(-4);
	reset(credits1_pan,SHOW);
	set(credits2_pan,SHOW);
	wait(-4);
	reset(credits2_pan,SHOW);
	set(credits3_pan,SHOW);
	wait(-4);
	reset(credits3_pan,SHOW);
	set(credits4_pan,SHOW);
	wait(-4);
	reset(credits4_pan,SHOW);
	set(credits5_pan,SHOW);
	wait(-4);
	reset(credits5_pan,SHOW);
	set(credits6_pan,SHOW);
	wait(-4);
	reset(credits6_pan,SHOW);
	set(credits7_pan,SHOW);
	wait(-7);
	cikisfonk();
}
//FINAL SAHNESI KOD SONU

var introgecilebilir=0;
var introhandle;
function introgec()
{
	var birkereoynat=1; // dongunun birkere oynamasi icin
	var birkereoynat2=1; // dongunun birkere oynamasi icin
	var introoynadi=0;
	
	while(1)
	{
		if(introgecilebilir==1)     //INTRO OYNARKEN KAPATILIRSA
		{
			if(key_esc)
			{
				if(birkereoynat==1)
				{
					media_stop(introhandle);
					level_load("sokak.wmb"); 
					wait(-1);
					snd_play(gurbmerhaba_snd,100,0);
					set(merhaba_pan,SHOW);
					siyaharkaplankaybol=1;
					mouse_mode=0;
					wait(-6);
					reset(merhaba_pan,SHOW);
					anamuzik=snd_loop(fthmusic2_snd,35,0);
					reset(siyaharkaplan_pan,SHOW);
					birkereoynat=0;
					introoynadi=1;
				}
			}
		}
		if(introgecilebilir==2 && introoynadi==0)     //INTRO BITTIGINDE OYUN BASLARSA
		{
			if(birkereoynat2==1)
			{
				level_load("sokak.wmb"); 
				wait(-1);
				snd_play(gurbmerhaba_snd,100,0);
				set(merhaba_pan,SHOW);
				siyaharkaplankaybol=1;
				mouse_mode=0;
				wait(-6);
				reset(merhaba_pan,SHOW);
				anamuzik=snd_play(fthmusic2_snd,100,0);
				reset(siyaharkaplan_pan,SHOW);
				birkereoynat2=0;
			}
		}
		wait(1);
	}
}
//Yeni oyun fonksiyonu
function yenioyunfonk()
{
	wait(-1);
	reset(butonlar_pan,SHOW);
	introgecilebilir=1;
	introhandle = media_play("gurb_intro.mpg",NULL,200);
	wait(-48);
	introgecilebilir=2;
}

//Pause Mode
function pausemodefonk()
{
	mouse_mode=2;
	freeze_mode=1;
	set(pausemodearkaplan_pan,VISIBLE);
	set(pausemenubutonlar_pan,VISIBLE);
}
//Devam Etme Modu
function devametfonk()
{
	mouse_mode=0;
	freeze_mode=0;
	reset(pausemodearkaplan_pan,VISIBLE);
	reset(pausemenubutonlar_pan,VISIBLE);
}

//Harita degistirme fonksiyonu
function mapdegistir() //LEVEL 1'DEN LEVEL 2 YE GEMEK IIN!
{
	set(siyaharkaplan_pan,SHOW);	
	siyaharkaplan_pan.alpha=100;
	wait(-2);
	level_load("platform.wmb");
	level=2;
	wait(-1);
	siyaharkaplankaybol=1;
	patlamayasat();
}

//MOUSE AYARLARI
BMAP* mouseok = "ok.tga";

function mouse()
{
	mouse_map = mouseok;
	while(1)
	{
		vec_set(mouse_pos,mouse_cursor);
		wait(1);
	}
}
//MOUSE AYARLARI

//OYUNUN AILISINDAKI KOD ZAMANLAMASI
function baslangic()
{
	panelzamanlama();
	gurblogo_pan.alpha = 100;
	developer_pan.alpha = 100;
	siyaharkaplan_pan.alpha = 100;
	butonlar_pan.alpha = 0;
	set(siyaharkaplan_pan,SHOW);
	wait(-4);
	set(developer_pan,SHOW);
	snd_play(start1_snd,100,0);
	wait(-3);
	developerkaybol=1;
	wait(-1);
	set(gurblogo_pan,SHOW);
	snd_play(start2_snd,100,0);
	wait(-5);
	snd_play(start3_snd,100,0);
	gurblogokaybol=1;
	wait(-2);
	reset(developer_pan,SHOW);
	reset(gurblogo_pan,SHOW);
	set(butonlar_pan,SHOW);
	butonlardogsun=1;
	mouse_mode=2;
}
/////////////////////////////////////
///////////MENU KOD SONU/////////////
/////////////////////////////////////


/////////////////////////////////////
///////////ANA FONKSiYON/////////////
/////////////////////////////////////
function main()
{
	//RESETLENMIS PANELLER
	reset(butonlar_pan,SHOW);
	reset(siyaharkaplan_pan,SHOW);
	reset(developer_pan,SHOW);
	reset(gurblogo_pan,SHOW);
	reset(karakterxpan,SHOW);
	reset(karakterypan,SHOW);
	reset(karakterzpan,SHOW);
	reset(hayatinikaybettin_pan,SHOW);
	reset(pausemodearkaplan_pan,SHOW);
	reset(pausemenubutonlar_pan,SHOW);
	reset(credits0_pan,SHOW);
	reset(credits1_pan,SHOW);
	reset(credits2_pan,SHOW);
	reset(credits3_pan,SHOW);
	reset(credits4_pan,SHOW);
	reset(credits5_pan,SHOW);
	reset(credits6_pan,SHOW);
	reset(credits7_pan,SHOW);
	
	//Diyalog Resetleri
	reset(merhaba_pan,SHOW);
	reset(cephane_pan,SHOW);
	reset(hass_pan,SHOW);
	reset(bimanyaklik_pan,SHOW);
	reset(ooo_pan,SHOW);
	reset(tekbasina_pan,SHOW);
	reset(tekbasima_pan,SHOW);
	reset(vermuzigi_pan,SHOW);
	reset(odegil_pan,SHOW);
	
	fps_max = 90;
	video_set (1024,768,32,2);
	d3d_antialias = 9;
	baslangic();
	level_load("");
	mouse();
	ayaksesi();
	olummenufonk();
	introgec();
}
/////////////////////////////////////
///////////ANA FONKSiYON/////////////
/////////////////////////////////////